Create Rate Plan Inclusion
curl --request POST \
--url https://api.eka.care/ipd/v1/service/rateplans/inclusions \
--header 'Content-Type: application/json' \
--header 'auth: <auth>' \
--data '
{
"name": "Bed charges",
"rate": 2500,
"plan": "66f1c6f0e4b0a1b2c3d4e904"
}
'import requests
url = "https://api.eka.care/ipd/v1/service/rateplans/inclusions"
payload = {
"name": "Bed charges",
"rate": 2500,
"plan": "66f1c6f0e4b0a1b2c3d4e904"
}
headers = {
"auth": "<auth>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {auth: '<auth>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Bed charges', rate: 2500, plan: '66f1c6f0e4b0a1b2c3d4e904'})
};
fetch('https://api.eka.care/ipd/v1/service/rateplans/inclusions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "66f1c7a1e4b0a1b2c3d4ea05",
"plan": "66f1c6f0e4b0a1b2c3d4e904",
"name": "Bed charges",
"rate": 2500,
"updatedAt": "2026-10-07T10:05:00.000Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}Rate Plans
Create Rate Plan Inclusion
Overview
This API adds an inclusion to an IPD rate plan of your workspace. An inclusion is a single charge in the rate plan (for example Bed charges or Nursing charges) with its rate.
name, rate and plan are all required. The inclusion id and updatedAt are server-generated. Fields not listed in the request body are rejected.
POST
/
ipd
/
v1
/
service
/
rateplans
/
inclusions
Create Rate Plan Inclusion
Headers
Body
application/json
The inclusion to create.
Was this page helpful?

